unit Utest;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Ledgadgt, Feedback, ODLED;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    LEDLabel1: TLEDLabel;
    PM1: TPieMeter;
    ODLedLittle1: TODLedLittle;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure ODLedLittle1Click(Sender: TObject);
    procedure BlinkTest(Sender: TObject);
  private
    { Dclarations private }
  public
    { Dclarations public }
  end;

var
  Form1: TForm1;

implementation

uses ODLED;

{$R *.DFM}

var T:TodLedLittle;

procedure TForm1.Button1Click(Sender: TObject);
begin
T:=TOdLedLittle.Create(Form1);
T.Parent:=form1;
T.Left:=10;
T.top:=10;
T.LedCOlor:=lcDarkGreen;
T.Visible:=true;
T.ClicLedColor:=lcGreen;
Button1.Enabled:=false;
T.OnClick:=ODLedLittle1Click;
T.OnBlink:=BlinkTest;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
T.Blink:=True;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
T.Blink:=false;
end;

procedure TForm1.ODLedLittle1Click(Sender: TObject);
begin
LedLabel1.Caption:=IntToStr(Random(1000));
end;

procedure TForm1.BlinkTest(Sender: TObject);
begin
if PM1.percent<100 then PM1.percent:=pm1.percent+10
                     else PM1.percent:=0;
end;


end.
